#ifndef __YLE_H__
#define __YLE_H__
/*
 *      Copyright (C) 2009-2010 Antti Ajanki <antti.ajanki@iki.fi>
 *
 *  This Program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This Program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with RTMPDump; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *  http://www.gnu.org/copyleft/gpl.html
 *
 */

#include "librtmp/rtmp.h"
#include "librtmp/amf.h"

#define YLERTMPDUMP_VERSION	"1.3.1"

#ifdef __cplusplus
extern "C"
{
#endif

typedef struct YLEStream {
  char *clipID;
  char *liveStreamID;
  char *radioID;
  char *language;
  char *title;
  int tvFeeRequired;
  int tvFeeActivated;
  int locatedInBroadcastTerritory;
  int isAkamaiStream;
  int redirected;
} YLEStream;

YLEStream *YLE_ParseAreenaParams(const char *areenaParams);
void YLE_SetupYLEStream(RTMP *r, YLEStream *ylestream);
int YLE_ExecuteInvokedMethod(RTMP *r, AMFObject *obj);
char *YLE_GetSuggestedFileName(RTMP *r, int vfatchars);
int YLE_ConnectRedirected(RTMP *r, double seekTime);

FILE *OpenAvailableName(const char *origname, char **newname);

#ifdef __cplusplus
}
#endif

#endif
